[arch-commits] Commit in go-openoffice/trunk (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Apr 26 17:37:06 EDT 2009


    Date: Sunday, April 26, 2009 @ 17:37:05
  Author: andyrtr
Revision: 36671

upgpkg: go-openoffice 3.0.99.6-1
    first pkg 3.0.99.6-1

Added:
  go-openoffice/trunk/ooo-build-3.0.99.6-apply.diff
Modified:
  go-openoffice/trunk/ChangeLog
  go-openoffice/trunk/PKGBUILD
  go-openoffice/trunk/go-openoffice.install

-------------------------------+
 ChangeLog                     |    6 ++
 PKGBUILD                      |  112 ++++++++++++++++++++++++++++------------
 go-openoffice.install         |    4 +
 ooo-build-3.0.99.6-apply.diff |   10 +++
 4 files changed, 99 insertions(+), 33 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-04-26 21:28:43 UTC (rev 36670)
+++ ChangeLog	2009-04-26 21:37:05 UTC (rev 36671)
@@ -1,3 +1,9 @@
+2009-04-25 Andreas Radke <andyrtr at archlinux.org>
+
+        * 3.0.99.6-1 :
+	new upstream pre-release
+	manually install all built dicts+extension
+
 2009-04-04 Andreas Radke <andyrtr at archlinux.org>
 
         * 3.0.99.4-1 :

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-26 21:28:43 UTC (rev 36670)
+++ PKGBUILD	2009-04-26 21:37:05 UTC (rev 36671)
@@ -2,13 +2,14 @@
 # Maintainer: AndyRTR <andyrtr at archlinux.org>
 
 pkgname=go-openoffice
-pkgver=3.0.99.5
+pkgver=3.0.99.6
+_GOver=3.0.99.6
 pkgrel=1
-pkgdesc="OpenOffice.org - go-oo.org enhanced version"
+pkgdesc="OpenOffice.org - go-oo.org enhanced version of SUN's office suite"
 arch=('i686' 'x86_64')
 _go_tree="OOO310"
 _dir=DEV300
-_ootag=ooo310-m9
+_ootag=ooo310-m10
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=${pkgname}.install
@@ -18,14 +19,16 @@
             'libcups:		adds printing support'
             'gconf:		adds additional gnome support'
             'nss:		adds support for signed files/macros'
-            'pstoedit:		translates PostScript and PDF graphics into other vector formats')
+            'pstoedit:		translates PostScript and PDF graphics into other vector formats'
+	    'poppler:		for the pdfimport extension'
+	    'mesa:		for the OGLTrans extension')
 makedepends=('automake' 'autoconf' 'wget' 'bison' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
-	'pam' 'sane' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.0.8" 'apache-ant' 'cairo' 
-	'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.4" 'unixodbc') # 'boost' # 'libjpeg' 
+	'pam' 'sane' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.0.9" 'apache-ant' 'cairo' 
+	'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.4" 'unixodbc' 'mesa>=7.4' 'poppler>=0.10.5') # 'boost' # 'libjpeg' 
 provides=('openoffice-base')
 conflicts=('openoffice-base')
 _mirror="http://download.go-oo.org/"
-source=(${_mirror}/${_go_tree}/ooo-build-${pkgver}.tar.gz
+source=(${_mirror}/${_go_tree}/ooo-build-${_GOver}.tar.gz
 	ArchLinux.patch
 	http://download.go-oo.org//DEV300/ooo-cli-prebuilt-3.1.tar.bz2
 	http://cairographics.org/releases//cairo-1.4.10.tar.gz
@@ -37,18 +40,55 @@
 	http://download.go-oo.org//DEV300/scsolver.2008-10-30.tar.bz2
 	http://download.go-oo.org//libwpd/libwpd-0.8.14.tar.gz
 	http://download.go-oo.org//SRC680/libwps-0.1.2.tar.gz
-	http://download.go-oo.org//SRC680/libwpg-0.1.3.tar.gz)
+	http://download.go-oo.org//SRC680/libwpg-0.1.3.tar.gz
+	ooo-build-3.0.99.6-apply.diff)
 #options=('!distcc' '!ccache' '!makeflags')
 noextract=(ooo-cli-prebuilt-3.1.tar.bz2 cairo-1.4.10.tar.gz mdbtools-0.6pre1.tar.gz
 	${_ootag}-{artwork,base,bootstrap,calc,components,extras,filters,help,impress,libs-gui,libs-core,libs-extern,postprocess,sdk,testing,ure,writer,libs-extern-sys,extensions}.tar.bz2
 	extras-3.tar.bz2 biblio.tar.bz2 unowinreg.dll scsolver.2008-10-30.tar.bz2 libwpd-0.8.14.tar.gz libwps-0.1.2.tar.gz libwpg-0.1.3.tar.gz)
-	
+md5sums=('e8a22aa0e9e0a29973bda7d9c8a75c4f'
+         '98ed05c5ffea196ae2103c06b8a9321a'
+         'b5b895b338e81191a6abacc644e3f705'
+         '5598a5e500ad922e37b159dee72fc993'
+         '246e8f38b2a1af1bcff60ee0da59300b'
+         'c88cbe383939419c19bf42ba729295b8'
+         'a783b9644c70d366ebcb2f9d42e6b774'
+         '44b842858076ba56637665f6ba1e0181'
+         'cc6d535a1e6b8c90ed773b09bbc24420'
+         'b16a41c1b59ddafb12c6522201abdc0b'
+         'f41808ca7b3c67d1415c85a7e5ea4583'
+         '02ebdcdc1d9427f1f3e754adc7a612b7'
+         '2dd25c574622f6bc7e75f7bacc033c68'
+         'fdffeb76bf3d4933d7cf49493806a3eb'
+         '1f9b26bd6b24a88ac61e0b56d86dca25'
+         '7ac84643bf26552c34ffc69290c5fe93'
+         '63ebec0b30d0a9c94a7933d1fdc12432'
+         '60d6d6d87eef391109a129ab69b00376'
+         'c90e67e9522bee94280c3aa5dde0dc27'
+         '620367e2ab6c45d770a79faea2197a10'
+         '2397a13855179c60137c765584409b2d'
+         '70b832f059ea931b30917b8ab41c902c'
+         '7fbc0e2a2724596973a4e19ca3c8cb77'
+         '7607fd150c048f3ff3ca18417e0dc847'
+         '36f323a55ee83e9dc968e1b92569b62a'
+         '1948e39a68f12bfa0b7eb309c14d940c'
+         'e3a0b76dcd876f3d721ee7183729153d'
+         '04181e5ef82973eb349d3122a19d2274'
+         '64d66018897d759358f454010b6e75d2'
+         '799fc3b835a79adce8c88a3fee0150c1'
+         'db556b750bf3eac8481a4cc5e29e5af1'
+         'f1a3700b30faad5c486c22f60150b56c')
+
 build() {
 	unset J2REDIR; unset J2SDKDIR; unset JAVA_HOME; unset CLASSPATH
 	[ -z "${JAVA_HOME}" ] && . /etc/profile.d/openjdk6.sh
+	[ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
 
-	cd ${srcdir}/ooo-build-${pkgver}
+	cd ${srcdir}/ooo-build-${_GOver}
 	
+	# upstream buildfix 
+	patch -Np0 -i $srcdir/ooo-build-3.0.99.6-apply.diff || return 1
+
 	# our ArchLinux distribution patch until we go upstream
 	patch -Np0 -i ${srcdir}/ArchLinux.patch || return 1
 	autoreconf
@@ -56,47 +96,55 @@
 	export ARCH_FLAGS="${CXXFLAGS}"
 
 	./configure --with-distro=ArchLinux \
-		--with-build-version="${pkgver} ArchLinux build-${pkgrel} (${_OO_milestone})" \
+		--with-build-version="${_GOver} ArchLinux build-${pkgrel} (${_OO_milestone})" \
 		--with-srcdir=${srcdir} \
 		--with-max-jobs=${MAKEFLAGS/-j/} \
-		--with-installed-ooo-dirname="${pkgname}-${pkgver}" \
+		--with-installed-ooo-dirname="${pkgname}-${_GOver}" \
 		--prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
-		--with-docdir=/usr/share/doc/packages/"${pkgname}-${pkgver}" \
+		--with-docdir=/usr/share/doc/packages/"${pkgname}-${_GOver}" \
 		--mandir=/usr/share/man \
 		--with-lang="en-US" \
 		--with-dict=ALL\
-		--with-binsuffix=no
+		--with-binsuffix=no \
 		--disable-ldap \
 		--disable-kde\
 		--enable-cairo\
+		--enable-lockdown\
 		--with-system-cairo\
 		--enable-crashdump\
 		--without-system-jpeg \
 		--without-gpc\
+		--enable-opengl \
+		--enable-minimizer \
+		--enable-presenter-console \
+		--enable-pdfimport \
+		--enable-wiki-publisher \
+		--enable-ogltrans \
 		$EXTRAOPTS || return 1
 
 #		--with-system-jpeg\ # broken, see http://qa.openoffice.org/issues/show_bug.cgi?id=74749
+#		--enable-report-builder \
 
-#		--disable-lockdown\
-#		  --enable-lockdown       Enables the gconf integration work in OOo
-
-#		--disable-mediawiki\
-#		--disable-minimizer\		
-#		--disable-odk\
-#		--disable-pdfimport\
-#		--disable-qadevooo\
-#		--disable-reportdesign\
-#		--disable-systray\
-#		--disable-mathmldtd\
-#		--disable-evolution2\
-#		--enable-verbose\
-#		--with-package-format=native\
-#		--without-fonts\
-#		--without-afms\
-
-
 	unset MAKEFLAGS
 	./download
 	make  || return 1
 	make DESTDIR=${pkgdir} install || return 1
+
+       # install all built dictionaries from source tree
+       pushd ${srcdir}/ooo-build-${_GOver}/build/${_ootag}/dictionaries/unxlng?6.pro/bin/
+       for i in `ls -1 dict-??.oxt`; do
+         install -D -m644 $i ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/$i || return 1
+       done
+       popd
+
+	# install all other built extensions
+	pushd ${srcdir}/ooo-build-${_GOver}/build/${_ootag}/solver/310/unxlng?6.pro/bin/
+	install -m644 pdfimport/pdfimport.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/pdfimport.oxt || return 1
+	install -m644 swext/wiki-publisher.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/wiki-publisher.oxt || return 1
+	install -m644 minimizer/sun-presentation-minimizer.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/sun-presentation-minimizer.oxt || return 1
+	install -m644 presenter/presenter-screen.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/presenter-screen.oxt || return 1
+	popd
+		
+	# fix version number in istall scriptlet
+	sed -i -e "s/_GOver='.*'/_GOver='${_GOver}'/" $startdir/$pkgname.install
 }

Modified: go-openoffice.install
===================================================================
--- go-openoffice.install	2009-04-26 21:28:43 UTC (rev 36670)
+++ go-openoffice.install	2009-04-26 21:37:05 UTC (rev 36671)
@@ -3,9 +3,11 @@
 gtk-update-icon-cache -f -q /usr/share/icons/hicolor
 update-desktop-database -q
 
+_GOver='3.0.99.6'
+
 echo " see http://wiki.archlinux.org/index.php/Openoffice"
 echo " how to use extensions, e.g. for spell checking"
-echo " see /opt/openoffice-dev/share/extension/install what"
+echo " see /usr/lib/go-openoffice-${_GOver}/share/extension/install what"
 echo " is shipped with this package"
 }
 

Added: ooo-build-3.0.99.6-apply.diff
===================================================================
--- ooo-build-3.0.99.6-apply.diff	                        (rev 0)
+++ ooo-build-3.0.99.6-apply.diff	2009-04-26 21:37:05 UTC (rev 36671)
@@ -0,0 +1,10 @@
+--- patches/dev300/apply.old	2009-04-24 18:37:11.000000000 +0200
++++ patches/dev300/apply	2009-04-24 18:53:06.000000000 +0200
+@@ -2903,7 +2903,6 @@ xlsx-snapshot.diff
+ # (converts the xlsx export to a UNO filter)
+ xlsx-shared-import-and-export.diff
+ 
+-[ Fixes ]
+ # manually force page preview obj to PRESOBJ_PAGE
+ sd-pptin-slidepreview-fix.diff, i#101051, thorsten
+ 



More information about the arch-commits mailing list